libosmo-sigtran 2.1.0.164-775d Osmocom SIGTRAN library

Data Fields
osmo_ss7_instance Struct Reference

`#include <ss7_instance.h>`

## Data Fields
struct llist_head | list
| member of global list of instances More...
struct llist_head | linksets
| list of osmo_ss7_linkset More...
struct llist_head | as_list
| list of osmo_ss7_as More...
struct llist_head | asp_list
| list of osmo_ss7_asp More...
struct llist_head | rtable_list
| list of osmo_ss7_route_table More...
struct llist_head | xua_servers
| list of osmo_xua_servers More...
const struct osmo_ss7_user * | user [16]
struct osmo_ss7_route_table * | rtable_system
struct osmo_sccp_instance * | sccp
struct {
uint32_t id
char * name
char * description
uint32_t primary_pc
uint8_t network_indicator
struct osmo_ss7_pc_fmt pc_fmt
bool permit_dyn_rkm_alloc
struct llist_head sccp_address_book
uint32_t secondary_pc
uint8_t opc_shift
uint8_t dpc_shift
uint8_t sls_shift
} | cfg

## Field Documentation

## ◆ as_list

struct llist_head osmo_ss7_instance::as_list

list of osmo_ss7_as

Referenced by _ss7_asp_get_all_rctx(), as_list_for_asp(), as_tx_duna_during_asp_act(), asp_serves_some_as(), dispatch_to_all_as(), find_first_as_in_asp(), find_single_as_for_asp(), ipa_find_as_for_asp(), osmo_ss7_as_find_by_l_rk_id(), osmo_ss7_as_find_by_name(), osmo_ss7_as_find_by_proto(), osmo_ss7_as_find_by_rctx(), osmo_ss7_asp_destroy(), osmo_ss7_instance_destroy(), show_as(), ss7_as_alloc(), ss7_asp_determine_traf_mode(), ss7_instance_alloc(), write_one_cs7(), xua_asp_fsm_inactive(), and xua_rkm_cleanup_dyn_as_for_asp().

## ◆ asp_list

struct llist_head osmo_ss7_instance::asp_list

list of osmo_ss7_asp

Referenced by osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_find_by_name(), osmo_ss7_instance_destroy(), show_asp(), show_asp_assoc_status(), show_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), ss7_instance_alloc(), sua_snm_ssn_available(), write_one_cs7(), xua_snm_pc_available(), xua_snm_scon(), and xua_snm_upu().

## ◆

struct { ... } osmo_ss7_instance::cfg

Referenced by addr_entry_alloc(), addr_entry_by_name_local(), as_snm_pc_available(), as_snm_pc_unavailable(), DEFUN(), DEFUN_ATTR(), handle_rkey_reg(), ipa_rx_msg_sccp(), osmo_sccp_addr_create(), osmo_sccp_addr_update(), osmo_sccp_local_addr_by_instance(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_on_ss7_id(), osmo_ss7_instance_calc_itu_ext_sls(), osmo_ss7_instance_find(), osmo_ss7_instance_get_id(), osmo_ss7_instance_get_name(), osmo_ss7_instance_get_pc_fmt(), osmo_ss7_instance_get_primary_pc(), osmo_ss7_instance_set_pc_fmt(), osmo_ss7_pc_is_local(), osmo_ss7_pointcode_parse(), osmo_ss7_pointcode_parse_mask_or_len(), osmo_ss7_pointcode_print_buf(), osmo_ss7_route_print(), ss7_combined_linkset_alloc(), ss7_instance_alloc(), ss7_route_alloc(), ss7_route_is_fully_qualified(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), sua2sccp_tx_m3ua(), vty_show_connection(), write_one_cs7(), write_sccp_addressbook(), and xua_asp_tx_snm_daud_address_book().

## ◆ description

char* osmo_ss7_instance::description

Referenced by DEFUN(), DEFUN_ATTR(), and write_one_cs7().

## ◆ dpc_shift

uint8_t osmo_ss7_instance::dpc_shift

Referenced by DEFUN_ATTR(), osmo_ss7_instance_calc_itu_ext_sls(), and write_one_cs7().

## ◆ id

uint32_t osmo_ss7_instance::id

Referenced by DEFUN_ATTR(), osmo_sccp_addr_create(), osmo_sccp_addr_update(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_instance_find(), osmo_ss7_instance_get_id(), ss7_instance_alloc(), sua2sccp_tx_m3ua(), and write_one_cs7().

## ◆ linksets

struct llist_head osmo_ss7_instance::linksets

list of osmo_ss7_linkset

Referenced by osmo_ss7_instance_destroy(), ss7_instance_alloc(), ss7_linkset_find_by_name(), and ss7_linkset_find_or_create().

## ◆ list

struct llist_head osmo_ss7_instance::list

member of global list of instances

Referenced by _show_cs7_xua(), osmo_ss7_instance_destroy(), osmo_ss7_instance_find(), osmo_ss7_instances_llist_entry(), ss7_instance_alloc(), and write_all_cs7().

## ◆ name

char* osmo_ss7_instance::name

Referenced by DEFUN_ATTR(), and osmo_ss7_instance_get_name().

## ◆ network_indicator

uint8_t osmo_ss7_instance::network_indicator

Referenced by DEFUN_ATTR(), ipa_rx_msg_sccp(), sua2sccp_tx_m3ua(), and write_one_cs7().

## ◆ opc_shift

uint8_t osmo_ss7_instance::opc_shift

Referenced by DEFUN_ATTR(), osmo_ss7_instance_calc_itu_ext_sls(), and write_one_cs7().

## ◆ pc_fmt

struct osmo_ss7_pc_fmt osmo_ss7_instance::pc_fmt

Referenced by DEFUN_ATTR(), osmo_ss7_instance_get_pc_fmt(), osmo_ss7_instance_set_pc_fmt(), osmo_ss7_pointcode_parse(), osmo_ss7_pointcode_parse_mask_or_len(), osmo_ss7_pointcode_print_buf(), osmo_ss7_route_print(), ss7_combined_linkset_alloc(), ss7_instance_alloc(), ss7_route_alloc(), ss7_route_is_fully_qualified(), ss7_route_table_find_combined_linkset_by_dpc(), ss7_route_table_find_combined_linkset_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask(), ss7_route_table_find_route_by_dpc_mask_as(), ss7_route_table_lookup_route(), and write_one_cs7().

## ◆ permit_dyn_rkm_alloc

bool osmo_ss7_instance::permit_dyn_rkm_alloc

Referenced by DEFUN_ATTR(), handle_rkey_reg(), and write_one_cs7().

## ◆ primary_pc

uint32_t osmo_ss7_instance::primary_pc

Referenced by DEFUN_ATTR(), osmo_sccp_local_addr_by_instance(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_on_ss7_id(), osmo_ss7_instance_get_primary_pc(), osmo_ss7_pc_is_local(), ss7_instance_alloc(), sua2sccp_tx_m3ua(), vty_show_connection(), and write_one_cs7().

## ◆ rtable_list

struct llist_head osmo_ss7_instance::rtable_list

list of osmo_ss7_route_table

Referenced by ss7_instance_alloc(), ss7_route_table_alloc(), ss7_route_table_find(), and write_one_cs7().

## ◆ rtable_system

struct osmo_ss7_route_table* osmo_ss7_instance::rtable_system

Referenced by as_snm_pc_available(), as_snm_pc_unavailable(), as_tx_duna_during_asp_act(), DEFUN(), DEFUN_ATTR(), dpc_accessible(), handle_rkey_dereg(), handle_rkey_reg(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_as_destroy(), ss7_instance_alloc(), ss7_instance_lookup_route(), ss7_linkset_destroy(), xua_snm_rx_daud(), and xua_snm_srm_pc_available_single().

## ◆ sccp

struct osmo_sccp_instance* osmo_ss7_instance::sccp

Referenced by DEFUN(), DEFUN_ATTR(), osmo_sccp_get_ss7(), osmo_sccp_instance_destroy(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_sccp_simple_server_on_ss7_id(), osmo_ss7_ensure_sccp(), osmo_ss7_get_sccp(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), sua_snm_ssn_available(), write_one_cs7(), xua_snm_pc_available(), xua_snm_scon(), and xua_snm_upu().

## ◆ sccp_address_book

struct llist_head osmo_ss7_instance::sccp_address_book

Referenced by addr_entry_alloc(), addr_entry_by_name_local(), as_snm_pc_available(), as_snm_pc_unavailable(), DEFUN(), ss7_instance_alloc(), write_sccp_addressbook(), and xua_asp_tx_snm_daud_address_book().

## ◆ secondary_pc

uint32_t osmo_ss7_instance::secondary_pc

Referenced by DEFUN_ATTR(), osmo_ss7_pc_is_local(), ss7_instance_alloc(), and write_one_cs7().

## ◆ sls_shift

uint8_t osmo_ss7_instance::sls_shift

Referenced by DEFUN_ATTR(), osmo_ss7_instance_calc_itu_ext_sls(), and write_one_cs7().

## ◆ user

const struct osmo_ss7_user* osmo_ss7_instance::user[16]

Referenced by DEFUN(), hmdt_message_for_distribution(), osmo_ss7_user_get_instance(), osmo_ss7_user_get_priv(), osmo_ss7_user_register(), osmo_ss7_user_set_prim_cb(), osmo_ss7_user_set_priv(), osmo_ss7_user_unregister(), and ss7_mtp_to_user().

## ◆ xua_servers

struct llist_head osmo_ss7_instance::xua_servers

list of osmo_xua_servers

Referenced by _show_cs7_xua(), ss7_instance_alloc(), ss7_xua_server_create2(), ss7_xua_server_find2(), and write_one_cs7().

The documentation for this struct was generated from the following file:

- src/ss7_instance.h